{
  stdenv,
  lib,
  makeWrapper,
  pass,
  pass2csv,
  python3,
  ...
}:

stdenv.mkDerivation rec {
  pname = "pass2bw";
  version = "0.1";

  src = ./.;

  dontBuild = true;
  doCheck = false;

  nativeBuildInputs = [ makeWrapper ];

  installPhase = ''
    mkdir -p $out/bin

    cp ${src}/pass2bw.sh $out/bin/${pname}
    chmod +x $out/bin/${pname}

    cp ${src}/convert_csvs.py $out/bin/

    wrapProgram $out/bin/${pname} \
      --prefix PATH : ${
        lib.makeBinPath [
          pass
          pass2csv
          python3
        ]
      }
  '';
}
